This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 244523 - Review Request: ddrescue - Data recovery tool
Review Request: ddrescue - Data recovery tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-16 13:29 EDT by Damien Durand
Modified: 2014-10-17 13:37 EDT (History)
2 users (show)

See Also:
Fixed In Version: ddrescue-1.18.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-05 05:19:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Damien Durand 2007-06-16 13:29:23 EDT
Spec URL: http://glive.tuxfamily.org/fedora/ddrescue/ddrescue.spec
SRPM URL: http://glive.tuxfamily.org/fedora/ddrescue/ddrescue-1.3-1.fc8.src.rpm
Description: GNU ddrescue is a data recovery tool. It copies data from one file or 
block device (hard disc, cdrom, etc) to another, trying hard to rescue 
data in case of read errors
Comment 1 Bernard Johnson 2007-06-17 14:10:43 EDT
rpm's CXX flags:
+ CXXFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables'

are reset and not used in the build (from build.log):

CC = gcc
CXX = g++
CPPFLAGS =
CFLAGS = -Wall -W -O2
CXXFLAGS = -Wall -W -O2
LDFLAGS =
OK. Now you can run make.
+ make
g++  -Wall -W -O2 -c -o arg_parser.o arg_parser.cc
g++  -Wall -W -O2 -c -o block.o block.cc
g++  -Wall -W -O2 -c -o ddrescue.o ddrescue.cc
g++  -Wall -W -O2 -c -o logbook.o logbook.cc
g++  -Wall -W -O2 -DPROGVERSION=\"1.3\" -c -o main.o main.cc
g++  -o ddrescue arg_parser.o block.o ddrescue.o logbook.o main.o
Comment 2 Damien Durand 2007-06-23 11:46:08 EDT
* Sat Jun 23 2007 Damien Durand <splinux@fedoraproject.org> - 1.4-1
- Upgrade to 1.4
- Fix flags

Spec URL: http://glive.tuxfamily.org/fedora/ddrescue/ddrescue.spec
SRPM URL: http://glive.tuxfamily.org/fedora/ddrescue/ddrescue-1.4-1.fc8.src.rpm
Comment 3 Bernard Johnson 2007-06-23 14:20:14 EDT
(In reply to comment #2)
> - Fix flags

You can't do it that way because you just broke every arch other than x86.  You
can either a) fix configure to realize that CXXFLAGS and friends are already set
in the environment, or b) pass CXXFLAGS on the configure command line ie.
(%configure CXXFLAGS="$(CXXFLAGS)")

Comment 4 Michael Schwendt 2007-07-03 05:11:10 EDT
Blocker: Fedora contains "ddrescue" and "dd_rescue". There are several
versions of the tool. The current Fedora package "Obsoletes: ddrescue"!
Comment 5 Bernard Johnson 2007-07-04 18:22:34 EDT
(In reply to comment #4)
> Blocker: Fedora contains "ddrescue" and "dd_rescue". There are several
> versions of the tool. The current Fedora package "Obsoletes: ddrescue"!

Hmm.  I didn't even notice that since it was named differently.

Damien, you probably want to close this as NOTABUG.
Comment 6 Till Maas 2007-08-14 15:11:13 EDT
(In reply to comment #4)
> Blocker: Fedora contains "ddrescue" and "dd_rescue". There are several
> versions of the tool. The current Fedora package "Obsoletes: ddrescue"!
> 

Afaik, Fedora only contains dd_rescue which was packaged with the wrong name
ddrescue. At least the changelog in rpms/ddrescue imply this. dd_rescue in
Fedora is from http://www.garloff.de/kurt/linux/ddrescue/ and the version in
this review was from gnu. So if someone still wants to package ddrescue, please
reopen the bug and a bug against dd_rescue, not to obsolete ddrescue. Maybe an
versioned Obsoletes works here, because dd_rescue has a lower version that
ddrescue. Also before you can import ddrescue after an successfull review, some
cvs master has to clean up cvs first I guess.



Comment 7 Fedora Update System 2014-09-24 20:55:33 EDT
ddrescue-1.18.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ddrescue-1.18.1-1.el7
Comment 8 Fedora Update System 2014-10-17 13:37:33 EDT
ddrescue-1.18.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.